var html_config = {
  "head": {
    "scripts": [
      {"src": "assets/js/models.js"},
      {"src": "assets/js/features.js"},
      {"src": "assets/js/mirna_targets.js", "async": "false", "defer":"false"},
      {"src": "assets/js/charts_config.js", "async": "false", "defer":"false"},
      {"src": "assets/js/setup_charts.js",  "async": "false", "defer":"false"}
    ],
    "links": [
      {"type": "text/css", "rel":"stylesheet", "href": "assets/css/classification_output.css"},
      {"type": "image/x-icon", "rel":"shortcut icon", "href": "assets/imgs/favicon.ico"}
    ],
    "metas": [
      {"name":"author", "content":"Staff of Stefan Bonn's Lab"}
    ],
    "titles": [
      {"innerHTML": "Classification output"}
    ]
  },

  "body": {
    "header": {
      "id": "oasis_header",
      "logo": {"src": "assets/imgs/oasis-logo.png", "href": "https://oasis.dzne.de"},
      "navigation": [ {"innerHTML": "Classification Results"}
      ]

    },
    "output": {
      "id": "oasis_output_analysis_container",
      "charts_container_id": "oasis_classification_charts_container",
      "charts": [
        {"id": "principal_component_analysis_chart", "title":  "Principal Component Analysis", "explanation": "A PCA plot is useful for visualizing how the samples that belong to the same condition are clustered."},
        {"id": "outliers_chart", "title":  "Outlier Score", "explanation": "An alternative approach of analysing data consists of detecting outliers, which can be done by examining the associated score provided by a random forest."},
        {"id": "receiver_operating_characteristic_chart", "title":  "Receiver Operating Characteristic", "explanation": "A receiver operating characteristic (ROC) curve is a plot that helps visualizing the performance of a binary classifier. It plots the true-positive rate (y-axis) as a function of the false-positive rate (x-axis)."},
        {"id": "precision_recall_chart", "title":  "Precision-Recall", "explanation": "A classifier with high recall but low precision catches many true positive instances but at the expense of making many false positive predictions, so a PR plot offers a complementary view of classifier performance."},
        {"id": "variable_importance_chart", "title":  "Variable Importance", "explanation": "Random forests output a list of feature importance rankings that indicate which feature was more relevant to determine the classification rule."},
        {"id": "out_of_bag_error_chart", "title":  "Out Of Bag Error", "explanation": "This plot is a report of the out-of-bag error(OOB) obtained for each independent tree that forms the forest and will help you choose the appropriate number of trees."},
        {"id": "feature_selection_chart", "title":  "Feature Selection", "explanation": "Cross-validated prediction error of random forest models trained by incrementally adding features according to their gini ranking."}
      ]
    }
  }
}
