// This script needs jQuery sourced in the head of the main html page to work
// var html_config = ajax_json("assets/json/html_configuration.json")
populate_head(html_config)
populate_navigation(html_config)
populate_charts(html_config)






function populate_head(config) {
  // things to source into the head of the html
  var source = config.head
  // the types of things to source into the html e.g. scripts, links, titles, etc
  var source_keys = keys(source)
  // drop tailing - s - character which makes json readable which allows us to
  // use the singluar form with document.createElement e.g. createElement(script)
  var source_elements = source_keys.map(function(e){return e.slice(0, e.length - 1)})

  for (var i = 0; i < source_keys.length; i++) {
    for (var j = 0; j < source[source_keys[i]].length; j++) {
      add_element(source[source_keys[i]][j], source_elements[i], document.head)
    }
  }
}


function populate_navigation(config) {
  // get the relevant navigation information
  var links = config.body.header.navigation
  // get header container
  var header = document.getElementById(config.body.header.id)
  // make the navigation element
  var navigation_element = document.createElement("nav")
  // make the unordered list
  var navigation_ul = document.createElement("ul")
  header.appendChild(navigation_element)
  navigation_element.appendChild(navigation_ul)

  add_logo_to_navigation(config.body.header.logo, navigation_ul)


  for (var i = 0; i < links.length; i++) {
    add_navigation_links(links[i], navigation_ul)
  }
}



function add_logo_to_navigation(logo_object, navigation_ul_element) {
  // Make the list element for the navigation ul tag
  var logo_list_element = document.createElement("li")
  // Create the associated hyperlink internally nested hyperlink element
  var logo_list_element_link = document.createElement("a")
  // Set the hyperlink
  logo_list_element_link.href = logo_list_element_link.href
  // Append the link to the list element
  logo_list_element.appendChild(logo_list_element_link)
  // create the actual img element
  var logo_image_element = document.createElement("img")
  // Set all other specified attributes to the img tag ignoring the href which
  // belongs to the <a> tag
  set_attributes(logo_image_element, logo_object, ["href"])
  // nest img inside <a>
  logo_list_element_link.appendChild(logo_image_element)
  // give the whole <li><a><img></img</a></li> to the navigation <ul>
  navigation_ul_element.appendChild(logo_list_element)
}


function add_navigation_links(data, navigation_ul) {
  var li = document.createElement("li")
  var a = document.createElement("a")
  set_attributes(a, data)
  li.appendChild(a)
  navigation_ul.appendChild(li)
}





function populate_charts(config) {
  var charts_container = document.getElementById(config.body.output.charts_container_id)
  var charts = config.body.output.charts

  for (var i = 0; i < charts.length; i++) {
    var current_chart = charts[i]
    var chart_section = document.createElement("section")
    var chart_title = document.createElement("h1")
    var chart_explanation = document.createElement("p")
    var chart_export_button = document.createElement("button")
    chart_section.id = current_chart.id
    chart_title.innerHTML = current_chart.title
    chart_explanation.innerHTML = current_chart.explanation
    chart_export_button.id = current_chart.id + "_export_button"
    chart_export_button.className = "export_button"
    chart_export_button.innerHTML = "Export as SVG"
    chart_section.appendChild(chart_title)
    chart_section.appendChild(chart_export_button)
    chart_section.appendChild(chart_explanation)
    charts_container.appendChild(chart_section)
  }

}
